<form [formGroup]="serieForm" (ngSubmit)="onSubmitForm()">
  <div class="form-group">
    <label for="name">Nom</label>
    <input type="text" class="form-control" id="name" placeholder="Name.." formControlName="name"
      [(ngModel)]="this.serie.name">
  </div>

  <div class="form-group">
    <label for="season">Nombre de saison</label>
    <input type="number" class="form-control" id="season" placeholder="Nombre de saison.." formControlName="season"
      [(ngModel)]="this.serie.season">
  </div>

  <div class="form-group">
    <label for="date">Date de sortie</label>
    <input type="date" id="date" placeholder="Date.." formControlName="date" [(ngModel)]="this.serie.date">
  </div>

  <div class="form-group">
    <label for="description">Description</label>
    <textarea class="form-control" id="description" placeholder="Description.." formControlName="description"
      [(ngModel)]="this.serie.description"></textarea>
  </div>

  <div class="form-group">
    <label for="critics">Critique</label>
    <textarea class="form-control" id="" placeholder="Critique.." formControlName="critics"
      [(ngModel)]="this.serie.critics"></textarea>
  </div>

  <div class="form-group">
    <label for="photo">Lien photo</label>
    <input type="photo" class="form-control" id="photo" placeholder="Lien photo.." formControlName="photo"
      [(ngModel)]="this.serie.photo">
  </div>


  <div class="text-center">
    <button type="submit" class="btn btn-dark btn-lg" [disabled]="serieForm.invalid">{{submitLabel}}</button>
  </div>

</form>
